Bug 212449 - virt-manager deletes my new VM
Summary: virt-manager deletes my new VM
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-26 20:13 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: virt-manager 0.4.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 18:20:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2006-10-26 20:13:15 UTC
I created a VM on a 3 gigabyte disk file.
File> Restore Virtual Machine> Selected the disk file.
virt-manager deletes it.

Quality stuff.

Comment 1 Daniel Berrange 2006-10-26 20:47:00 UTC
The 'restore' menu options isn't for starting inactive domains, its actually for
restoring guests that have previously been suspended (aka hibernated/saved). So
it is not expecting a raw disk image, but instead a VM suspend image. That said
it ought to have detected that you supplied a bogus image & refused to proceed,
rather than deleting it.


Comment 2 Need Real Name 2006-10-26 20:52:40 UTC
It's amazing that it deleted it.

Maybe the restore option could be more explicit too.
I had powered off a VM and wanted to run it again. I presumed that was right.

Comment 3 Hugh Brock 2007-06-14 18:20:18 UTC
This is now fixed with validation that the image we are trying to get xen to
restore is in fact a valid Xen Paravirt image.


Note You need to log in before you can comment on or make changes to this bug.